All of lore.kernel.org
 help / color / mirror / Atom feed
From: Thomas Renninger <trenn-IBi9RG/b67k@public.gmane.org>
To: harald-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org
Cc: initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org,
	thomas.blume-IBi9RG/b67k@public.gmane.org,
	pwieczorkiewicz-l3A5Bk7waGM@public.gmane.org,
	hare-IBi9RG/b67k@public.gmane.org,
	fvogt-IBi9RG/b67k@public.gmane.org,
	trenn-IBi9RG/b67k@public.gmane.org
Subject: [PATCH 12/12] multipath: Fix warning about multipath if not needed
Date: Thu, 12 May 2016 20:03:36 +0200	[thread overview]
Message-ID: <1463076216-410-13-git-send-email-trenn@suse.com> (raw)
In-Reply-To: <1463076216-410-1-git-send-email-trenn-IBi9RG/b67k@public.gmane.org>

From: Fabian Vogt <fvogt-IBi9RG/b67k@public.gmane.org>

Although no device uses multipath, the module checks
for presence of the multipath binary first, printing a
warning if not present. This patch fixes the wrong ordering.

Signed-off-by: Thomas Renninger <trenn-IBi9RG/b67k@public.gmane.org>
---
 modules.d/90multipath/module-setup.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
index 1676798..db91296 100755
--- a/modules.d/90multipath/module-setup.sh
+++ b/modules.d/90multipath/module-setup.sh
@@ -21,13 +21,14 @@ majmin_to_mpath_dev() {
 # called by dracut
 check() {
     local _rootdev
-    # if there's no multipath binary, no go.
-    require_binaries multipath || return 1
 
     [[ $hostonly ]] || [[ $mount_needs ]] && {
         for_each_host_dev_and_slaves is_mpath || return 255
     }
 
+    # if there's no multipath binary, no go.
+    require_binaries multipath || return 1
+
     return 0
 }
 
-- 
2.1.4

  parent reply	other threads:[~2016-05-12 18:03 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-12 18:03 Recent network bug fixes from the latest SuSE dracut repo Thomas Renninger
     [not found] ` <1463076216-410-1-git-send-email-trenn-IBi9RG/b67k@public.gmane.org>
2016-05-12 18:03   ` [PATCH 01/12] 40network: Fix race condition when wait for networks Thomas Renninger
2016-05-12 18:03   ` [PATCH 02/12] 40network: always start netroot in ifup.sh Thomas Renninger
2016-05-12 18:03   ` [PATCH 03/12] 40network: Only enable network interfaces if explicitly requested Thomas Renninger
2016-05-12 18:03   ` [PATCH 04/12] 40network: Update iBFT scanning code to handle IPv6 Thomas Renninger
2016-05-12 18:03   ` [PATCH 05/12] 40network: separate 'mask' and 'prefix' Thomas Renninger
2016-05-12 18:03   ` [PATCH 06/12] network/iscsi: Skip invalid ibft dhcp address Thomas Renninger
2016-05-12 18:03   ` [PATCH 07/12] nfs: Fix nfs rootfs in case of mounting via IPv4 not hostname Thomas Renninger
2016-05-12 18:03   ` [PATCH 08/12] NFS: Support host being a DNS ALIAS Thomas Renninger
2016-05-12 18:03   ` [PATCH 09/12] kernel-network-modules: Don't include qemu network modules without reason Thomas Renninger
2016-05-12 18:03   ` [PATCH 10/12] fcoe-uefi: Add check for usage Thomas Renninger
2016-05-12 18:03   ` [PATCH 11/12] mulitpath: Boot up, also without multipath.conf, it is not mandatory Thomas Renninger
2016-05-12 18:03   ` Thomas Renninger [this message]
2016-05-18  9:22   ` Recent network bug fixes from the latest SuSE dracut repo Harald Hoyer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1463076216-410-13-git-send-email-trenn@suse.com \
    --to=trenn-ibi9rg/b67k@public.gmane.org \
    --cc=fvogt-IBi9RG/b67k@public.gmane.org \
    --cc=harald-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org \
    --cc=hare-IBi9RG/b67k@public.gmane.org \
    --cc=initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org \
    --cc=pwieczorkiewicz-l3A5Bk7waGM@public.gmane.org \
    --cc=thomas.blume-IBi9RG/b67k@public.gmane.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.